DRM_MODE_CONNECTOR_U(9)

NAME
drm_mode_connector_update_edid_property - update the edid property of a connector

SYNOPSIS

int drm_mode_connector_update_edid_property(struct drm_connector * connector, const struct edid * edid);

ARGUMENTS

connector
    drm connector

edid
    new value of the edid property

DESCRIPTION

This function creates a new blob modeset object and assigns its id to the connector's edid property.

RETURNS

Zero on success, negative errno on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT